Package icyllis.arc3d.engine

# Class Image.ResourceKey

java.lang.Object
icyllis.arc3d.engine.Image.ResourceKey

All Implemented Interfaces:
  `IResourceKey`

Enclosing class:
  `Image`

public static final class Image.ResourceKey extends Object implements IResourceKey
Storage key of `Image`, may be compared with `ImageViewProxy`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `mFlags`
  `int`
  `mFormat`
  `int`
  `mHeight`
  `int`
  `mWidth`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceKey()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Image.ResourceKey`
  `compute(BackendFormat format, int width, int height, int sampleCount, int surfaceFlags)`
  Update this key with the given arguments, format can not be compressed.
  `IResourceKey`
  `copy()`
  `boolean`
  `equals(Object o)`
  Keep `Object.equals(Object)`} sync with this.
  `int`
  `hashCode()`
  Keep `Object.hashCode()` sync with this.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface icyllis.arc3d.engine.IResourceKey

  `isShareable`

- ## Field Details

  - ### mWidth

    public int mWidth

  - ### mHeight

    public int mHeight

  - ### mFormat

    public int mFormat

  - ### mFlags

    public int mFlags

- ## Constructor Details

  - ### ResourceKey

    public ResourceKey()

- ## Method Details

  - ### compute

    @Nonnull public Image.ResourceKey compute(BackendFormat format, int width, int height, int sampleCount, int surfaceFlags)
    Update this key with the given arguments, format can not be compressed.
    Returns:
      this

  - ### copy

    public IResourceKey copy()
    Specified by:
      `copy` in interface `IResourceKey`

  - ### hashCode

    public int hashCode()
    Keep `Object.hashCode()` sync with this.
    Specified by:
      `hashCode` in interface `IResourceKey`
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Keep `Object.equals(Object)`} sync with this.
    Specified by:
      `equals` in interface `IResourceKey`
    Overrides:
      `equals` in class `Object`